Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Interface IBrowserEngine

All Known Implementing Classes:
  InternetExplorerEngine, MozillaEngine

public interface IBrowserEngine

This class represents a wrapper around an embedded browser engine. It returns information about the browser type being used, the availability of the embedded browser engine on the current system.

Method Summary
`java.lang.String` | `getBrowserName()` Returns the standardadized name of the embedded browser engine.
`java.lang.String` | `getCharsetName()`
`java.lang.String` | `getEmbeddedBinaryName()`
`java.lang.String` | `getFileProtocolURLPrefix()`
`void` | `initialize()` Initialize engine.
`boolean` | `isDefaultBrowser(java.lang.String browserPath)` Checks whether the default BrowserPath indicates that this browser is set as the default browser on the current system.
`boolean` | `isEngineAvailable()` Checks whether the associated Engine is available on the current system.
`boolean` | `isInitialized()` check if the browser engine has been intialized.
`void` | `setEnginePath(java.lang.String fullPath)` Set browser's full path(folder and exe name).

Method Detail

### getBrowserName

    public java.lang.String getBrowserName()

  Returns the standardadized name of the embedded browser engine. The name identifies the browser type but not the browser version. This name should be the same for all browser engines that embed the same browser, independent of platform. Names should be such that they can be presented in an English user dialog for choosing their favorite embedded engine. They may have spaces but they may not be internationalized. Examples for the standardized names are: Internet Explorer, Mozilla.

  Returns:
    The standardized name of the embedded browser engine. May not be null or empty.

### isEngineAvailable

    public boolean isEngineAvailable()

  Checks whether the associated Engine is available on the current system. This is a prerequisite for creating `Browser` instances on the current system. This method should not yet reserve resources required for actually launching the browser: The BrowserManager may decide to invoke the browser window from a different engine.

  Returns:
    true if an engine is available, false if no engine is available, the engine is not found or can not be accessed.

### isDefaultBrowser

    public boolean isDefaultBrowser(java.lang.String browserPath)

  Checks whether the default BrowserPath indicates that this browser is set as the default browser on the current system.

  Parameters:
    `browserPath` - taken from the OS or whereever
  Returns:
    true if this BrowserEngine represents the default browser, true otherwise

### getEmbeddedBinaryName

    public java.lang.String getEmbeddedBinaryName()

  Returns:
    embeded name of current browser.

### setEnginePath

    public void setEnginePath(java.lang.String fullPath)

  Set browser's full path(folder and exe name). When active brower isn't set as the default browser, will have to use this method to specify the path of it. It's often used after `BrowserEngineManger`'s setActiveEngine() method.

### initialize

    public void initialize()
                    throws org.jdesktop.jdic.init.JdicInitException

  Initialize engine.

  Throws:
    `org.jdesktop.jdic.init.JdicInitException`

### getCharsetName

    public java.lang.String getCharsetName()

  Returns:
    browser's default charset used to de/encode messages.

### getFileProtocolURLPrefix

    public java.lang.String getFileProtocolURLPrefix()

  Returns:
    browser's file protocol prefix (eg. "file:/")

### isInitialized

    public boolean isInitialized()

  check if the browser engine has been intialized. It needs only be initialized once.

  Returns:
    if initialized return true else return false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.